Outils pour utilisateurs

Outils du site


installer_mixed-content-scan_sous_debian

Ceci est une ancienne révision du document !


Installer mixed-content-scan sous Debian

L'installation via composer étant recommandée par le développeur, c'est celle qui a été retenue. Sous Debian-10 Buster1), la version packagée de composer 1.x alors que la version 2 est requise.

Installation de composer version 2

Désintallation de la version packagée

Si le paquetage composer a préalablement été installé, le désinstaller totalement2)comme on a l'habitude de le faire. Finir de nettoyer les pacquetages installés :

# apt update 
# apt upgrade 
# apt autoremove 

Prérequis

Quelques paquetages sont nécessaires à l'installation de Composer, suivant les instructions d'installation standard reprises dans ce qui suit (après vérification des clés et signature !).

Pour installer la dernière version stable, se reporter aux instruction d'installations mentionnées précédemment.
# apt install curl php-cli php-mbstring git unzip

Installation proprement dite

$ cd 
$ curl -sS https://getcomposer.org/installer -o composer-setup.php 
$ ls 
$ php -r "if (hash_file('sha384', 'composer-setup.php') === '756890a4488ce9024fc62c56153228907f1545c228516cbf63f885e036d37e9a59d27d63f46af1d4d07ee0f76181c7d3') { echo'Installer verified'; } else { echo 'Installer corrupt'; unlink('composer-setup.php'); } echo PHP_EOL;" 
$ php composer-setup.php 
$ php -r "unlink('composer-setup.php');" 
$ sudo mv composer.phar /usr/local/bin/composer
1)
Utilisé pour la rédaction de cette fiche.
2)
Y compris les fichiers de configuration.
installer_mixed-content-scan_sous_debian.1629730395.txt.gz · Dernière modification: 2021/08/23 16:53 de flaz